- Qt 6.8
- Qt GUI
- C++ Classes
- QWaylandApplication
- Qt 6.8.3 Reference Documentation

# QWaylandApplication Struct

struct QNativeInterface::QWaylandApplication

Native interface to a Wayland application. More...

Header: | `#include <QGuiApplication>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.5

- List of all members, including inherited members

## Public Functions

virtual wl_compositor * | compositor() const = 0
virtual wl_display * | display() const = 0
virtual wl_keyboard * | keyboard() const = 0
virtual wl_seat * | lastInputSeat() const = 0
virtual uint | lastInputSerial() const = 0
virtual wl_pointer * | pointer() const = 0
virtual wl_seat * | seat() const = 0
virtual wl_touch * | touch() const = 0

## Detailed Description

Accessed through QGuiApplication::nativeInterface().

## Member Function Documentation

### `[pure virtual]` wl_compositor *QWaylandApplication::compositor() const

Returns the wl_compositor that the application is using.

### `[pure virtual]` wl_display *QWaylandApplication::display() const

Returns the wl_display that the application is using.

### `[pure virtual]` wl_keyboard *QWaylandApplication::keyboard() const

Returns the wl_keyboard belonging to seat() if available.

### `[pure virtual]` wl_seat *QWaylandApplication::lastInputSeat() const

Returns the seat on which the last input event happened.

### `[pure virtual]` uint QWaylandApplication::lastInputSerial() const

Returns the serial of the last input event on any seat.

### `[pure virtual]` wl_pointer *QWaylandApplication::pointer() const

Returns the wl_pointer belonging to seat() if available.

### `[pure virtual]` wl_seat *QWaylandApplication::seat() const

Returns the seat associated with the default input device.

### `[pure virtual]` wl_touch *QWaylandApplication::touch() const

Returns the wl_touch belonging to seat() if available.